<?php

namespace Drupal\simplepay\Events;

use Drupal\commerce_payment\Entity\PaymentInterface;
use Symfony\Component\HttpFoundation\JsonResponse;

/** Class for handling requests from SimplePay Callback API */
class EventHandler {
  public function handle($event, PaymentInterface $payment) {
    if (!isset($event['method'])) {
      return new JsonResponse(null, 400);
    }

    switch ($event['method']) {
      case 'check':
        \Drupal::logger('SimplePay Webhooks')->info('event CHECK (order#' . $event['order'] . ') has been caught.');
        $ps_event = new EventCheck($payment);
        break;

      case 'pay':
        \Drupal::logger('SimplePay Webhooks')->info('event PAY (order#' . $event['order'] . ') has been caught.');
        $ps_event = new EventPay($payment);
        break;

      default:
        return new JsonResponse(null, 400);
    }

    return $ps_event->handle($event);
  }
}
